package poker.domain

import poker.domain._

class Jogador(val nome:String) {
  
  override def toString = nome
  
  override def equals(that: Any) = that match {
    case other:Jogador => 
      other.getClass == getClass && other.nome == nome
    case _ => false
  }
  
  override def hashCode(): Int = {
    nome.hashCode() + nome.hashCode()
  }
  
}
